using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player : Character {

    [SerializeField]
    private CharacterShooter shooter;
    public CharacterShooter Shooter { get { return this.shooter; } }

    [SerializeField]
    private bool hasAntena = false;
    public bool HasAntena { get { return this.hasAntena; } set { this.hasAntena = value; } }

    public override void PrepareCharacter()
    {
        base.PrepareCharacter();
        this.shooter.PrepareShooter(this);
    }
}
